<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
    $cuantos=0;
    $totabo=0;
$qPP = "SELECT inversionista.id_inver as id_inver, rfc, nombre, appat, apmat,  cantidad, puntos, transacciones.idtransacciones as idtransacciones, porpagar, abono, fechat, usuarios_ci_idusuarios_ci, consec, nombrec, tipostr_idtipostr FROM `transacciones` join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver join depositos on transacciones. idtransacciones=depositos.transacciones_idtransacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones  left join otrasal on transacciones.idtransacciones=otrasal.idtransacciones  WHERE fechat>='2017-09-01' and porpagar>0 ORDER BY  porpagar  DESC";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));

if(mysqli_affected_rows($conexion))
{


echo "<center><br><br><b>Prestamos del mes</b><br><br><table border=\"1\">
<th>Trans</th><th>Ped</th><th>tipo</th><th>Fecha</th><th>RFC</th><th>Nombre</th><th>Cantidad</th><th>Puntos</th><th>X Pagar</th><th>Abono</th><th>REST</th>";


while (($objetoPP=mysqli_fetch_object($rPP)) )


{
	$abono=$objetoPP->abono;
	$xpag=$objetoPP->porpagar;
	$rest=$xpag-$abono;
	$elinv=$objetoPP->id_inver;
	$totabo+=$rest;
	$tipot=$objetoPP->tipostr_idtipostr;
	$elnombre=$objetoPP->nombre." ".$objetoPP->appat." ".$objetoPP->apmat;
	if($tipot==10){$lanota="VENTA";}
	if($tipot==11){$lanota="SALIDA";}
	if($tipot==6){$lanota="OTRASAL"; $elnombre=$objetoPP->nombrec;}
	
/*		$qDG="SELECT sum(puntos) as compras FROM `transacciones` join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE fechat between '2017-09-01' and '2017-09-31' and inversionista_id_inver=$elinv ";
  			$cDG = mysqli_query($conexion, $qDG) or die ('Error (Obtencion DG.): ' . mysqli_error($conexion));
  			if(mysqli_affected_rows($conexion)){
  			while($rDG = mysqli_fetch_row($cDG))
		   	{
		    	$ptosnov = $rDG[0];
		    
		   	};/*/
	
	
	
	
	

$cuantos++;
	echo "<tr>

	
			<td align=\"center\">$objetoPP->idtransacciones</td><td align=\"center\">$objetoPP->usuarios_ci_idusuarios_ci - $objetoPP->consec</td><td align=\"center\">$lanota</td><td align=\"center\">$objetoPP->fechat</td><td align=\"center\">$objetoPP->rfc</td> <td align=\"center\">$elnombre</td>
			<td align=\"center\">$objetoPP->cantidad</td><td align=\"center\">$objetoPP->puntos</td><td align=\"center\">$xpag</td><td align=\"center\">$abono</td><td align=\"center\">$rest</td>
		

		

		  </tr> ";

	}	

   



	echo"</table></center><br><br>total personas $cuantos Total Adeudo $$totabo";   }
	else{
	echo"<center><br><br><b>No cuentas con personas que no han comprado</b><br>
	felicidades";	
	}



  
  
?>